Browse Source

Add warning output to run erln8 --quickstart

I think there could be some better makepkg built-ins to use, but I
couldn't find them. tput + echo for now.
Aaron France 4 years ago
parent
commit
7ffa821d3c
2 changed files with 10 additions and 0 deletions
  1. 1 0
      PKGBUILD
  2. 9 0
      erln8.install

+ 1 - 0
PKGBUILD

@@ -11,6 +11,7 @@ license=('Apache License')
 makedepends=('git')
 provides=('erln8' 'erlang')
 md5sums=('SKIP')
+install='erln8.install'
 conflicts=('erlang')
 
 

+ 9 - 0
erln8.install

@@ -0,0 +1,9 @@
+WARNING="`tput setaf 1`WARNING: It is recommended that you run 'erln8 --quickstart'"
+
+post_install() {
+    echo $WARNING
+}
+
+post_upgrade() {
+    echo $WARNING
+}